%define version 1.1
%define release 8mdk

Summary: Russian dictionnary for ispell
Summary(ru):   
Name: ispell-ru
Version: %{version}
Release: %{release}
Group: System/Internationalization
Source:ispell-rus-1.1.tar.bz2
Copyright: This software in public domain
Requires: ispell
BuildRoot: /tmp/%{name}-pkg
Prefix: %{_prefix}
Patch0: ispell-rus-prefix.patch.bz2
BuildArchitectures: noarch
Requires: locales-ru
Obsoletes: irussian
Obsoletes: ispell-rus
Obsoletes: ispell-russian
Obsoletes: rispell
Provides: ispell-dictionary

%description
Russian Dictionaries for ispell. 
To check spelling in russian text (in koi8-r) use command:
ispell -d russian <file_name>

%prep
%setup -n ispell-rus-%{version}
%patch0 -p1 -b .prefix

%build
make all

%install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/
cp -avf russian.aff $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/russian.aff
cp -avf russian.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/russian.hash

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc docs/Readme.russian
%doc docs/copyright
%doc docs/cyrispell
%doc docs/readme.makedict
%doc docs/INSTALL.russian
/%{_prefix}/lib/ispell/*

%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-8mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- added Requires: locales-ru for proper pre-selection by DrakX
- changed name to ispell-ru for standardization

* Thu Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild with ispell-3.1.20-7mdk (which uses a MASKBITS of 64)

* Sun Oct 16 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix incorrect Path in path #0 (ispell-rus-prefix.patch.bz2)
- Change group "Utilities/Text" to "Applications/Text" (rpmlint lament)

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 source

* Wed Jul 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version contribued by IPLabs (http://www.iplabs.ru/Linux)
- Rewriting the .spec.
